id: '0f011447-55fd-421d-8443-e8a6866256d3'
name: 'AW2019_Sales_Azure'
timestamp: '2024-09-13T11:22:38.7195230Z'
sourceSystem:
  type: 'Microsoft SQL Server'
sourceObjects:
- name: 'CountryRegionCurrency'
  objectType: {}
  terms:
  - name: 'CountryRegionCode'
    sourceDataType:
      name: 'nvarchar'
      length: 3
      isNullable: false
    isIdentity: false
    isBusinessKey: true
    isForeignKey: false
    isDefaultTerm: false
  - name: 'CurrencyCode'
    sourceDataType:
      name: 'nchar'
      length: 3
      isNullable: false
    isIdentity: false
    isBusinessKey: true
    isForeignKey: false
    isDefaultTerm: false
  - name: 'ModifiedDate'
    sourceDataType:
      name: 'datetime'
      isNullable: false
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
- name: 'CreditCard'
  objectType: {}
  terms:
  - name: 'CreditCardID'
    sourceDataType:
      name: 'int'
      scale: 0
      precision: 10
      isNullable: false
    isIdentity: false
    isBusinessKey: true
    isForeignKey: false
    isDefaultTerm: false
  - name: 'CardType'
    sourceDataType:
      name: 'nvarchar'
      length: 50
      isNullable: false
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'CardNumber'
    sourceDataType:
      name: 'nvarchar'
      length: 25
      isNullable: false
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'ExpMonth'
    sourceDataType:
      name: 'tinyint'
      scale: 0
      precision: 3
      isNullable: false
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'ExpYear'
    sourceDataType:
      name: 'smallint'
      scale: 0
      precision: 5
      isNullable: false
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'ModifiedDate'
    sourceDataType:
      name: 'datetime'
      isNullable: false
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
- name: 'Currency'
  objectType: {}
  terms:
  - name: 'CurrencyCode'
    sourceDataType:
      name: 'nchar'
      length: 3
      isNullable: false
    isIdentity: false
    isBusinessKey: true
    isForeignKey: false
    isDefaultTerm: false
  - name: 'Name'
    sourceDataType:
      name: 'nvarchar'
      length: 50
      isNullable: false
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'ModifiedDate'
    sourceDataType:
      name: 'datetime'
      isNullable: false
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
- name: 'CurrencyRate'
  objectType: {}
  terms:
  - name: 'CurrencyRateID'
    sourceDataType:
      name: 'int'
      scale: 0
      precision: 10
      isNullable: false
    isIdentity: false
    isBusinessKey: true
    isForeignKey: false
    isDefaultTerm: false
  - name: 'CurrencyRateDate'
    sourceDataType:
      name: 'datetime'
      isNullable: false
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'FromCurrencyCode'
    sourceDataType:
      name: 'nchar'
      length: 3
      isNullable: false
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'ToCurrencyCode'
    sourceDataType:
      name: 'nchar'
      length: 3
      isNullable: false
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'AverageRate'
    sourceDataType:
      name: 'money'
      scale: 4
      precision: 19
      isNullable: false
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'EndOfDayRate'
    sourceDataType:
      name: 'money'
      scale: 4
      precision: 19
      isNullable: false
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'ModifiedDate'
    sourceDataType:
      name: 'datetime'
      isNullable: false
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
- name: 'Customer'
  objectType: {}
  terms:
  - name: 'CustomerID'
    sourceDataType:
      name: 'int'
      scale: 0
      precision: 10
      isNullable: false
    isIdentity: false
    isBusinessKey: true
    isForeignKey: false
    isDefaultTerm: false
  - name: 'PersonID'
    sourceDataType:
      name: 'int'
      scale: 0
      precision: 10
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'StoreID'
    sourceDataType:
      name: 'int'
      scale: 0
      precision: 10
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'TerritoryID'
    sourceDataType:
      name: 'int'
      scale: 0
      precision: 10
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'AccountNumber'
    sourceDataType:
      name: 'varchar'
      length: 10
      isNullable: false
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'rowguid'
    sourceDataType:
      name: 'uniqueidentifier'
      isNullable: false
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'ModifiedDate'
    sourceDataType:
      name: 'datetime'
      isNullable: false
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
- name: 'PersonCreditCard'
  objectType: {}
  terms:
  - name: 'BusinessEntityID'
    sourceDataType:
      name: 'int'
      scale: 0
      precision: 10
      isNullable: false
    isIdentity: false
    isBusinessKey: true
    isForeignKey: false
    isDefaultTerm: false
  - name: 'CreditCardID'
    sourceDataType:
      name: 'int'
      scale: 0
      precision: 10
      isNullable: false
    isIdentity: false
    isBusinessKey: true
    isForeignKey: false
    isDefaultTerm: false
  - name: 'ModifiedDate'
    sourceDataType:
      name: 'datetime'
      isNullable: false
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
- name: 'SalesOrderDetail'
  objectType: {}
  terms:
  - name: 'SalesOrderID'
    sourceDataType:
      name: 'int'
      scale: 0
      precision: 10
      isNullable: false
    isIdentity: false
    isBusinessKey: true
    isForeignKey: false
    isDefaultTerm: false
  - name: 'SalesOrderDetailID'
    sourceDataType:
      name: 'int'
      scale: 0
      precision: 10
      isNullable: false
    isIdentity: false
    isBusinessKey: true
    isForeignKey: false
    isDefaultTerm: false
  - name: 'CarrierTrackingNumber'
    sourceDataType:
      name: 'nvarchar'
      length: 25
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'OrderQty'
    sourceDataType:
      name: 'smallint'
      scale: 0
      precision: 5
      isNullable: false
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'ProductID'
    sourceDataType:
      name: 'int'
      scale: 0
      precision: 10
      isNullable: false
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'SpecialOfferID'
    sourceDataType:
      name: 'int'
      scale: 0
      precision: 10
      isNullable: false
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'UnitPrice'
    sourceDataType:
      name: 'money'
      scale: 4
      precision: 19
      isNullable: false
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'UnitPriceDiscount'
    sourceDataType:
      name: 'money'
      scale: 4
      precision: 19
      isNullable: false
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'LineTotal'
    sourceDataType:
      name: 'numeric'
      scale: 6
      precision: 38
      isNullable: false
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'rowguid'
    sourceDataType:
      name: 'uniqueidentifier'
      isNullable: false
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'ModifiedDate'
    sourceDataType:
      name: 'datetime'
      isNullable: false
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
- name: 'SalesOrderHeader'
  objectType: {}
  terms:
  - name: 'SalesOrderID'
    sourceDataType:
      name: 'int'
      scale: 0
      precision: 10
      isNullable: false
    isIdentity: false
    isBusinessKey: true
    isForeignKey: false
    isDefaultTerm: false
  - name: 'RevisionNumber'
    sourceDataType:
      name: 'tinyint'
      scale: 0
      precision: 3
      isNullable: false
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'OrderDate'
    sourceDataType:
      name: 'datetime'
      isNullable: false
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'DueDate'
    sourceDataType:
      name: 'datetime'
      isNullable: false
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'ShipDate'
    sourceDataType:
      name: 'datetime'
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'Status'
    sourceDataType:
      name: 'tinyint'
      scale: 0
      precision: 3
      isNullable: false
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'OnlineOrderFlag'
    sourceDataType:
      name: 'bit'
      isNullable: false
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'SalesOrderNumber'
    sourceDataType:
      name: 'nvarchar'
      length: 25
      isNullable: false
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'PurchaseOrderNumber'
    sourceDataType:
      name: 'nvarchar'
      length: 25
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'AccountNumber'
    sourceDataType:
      name: 'nvarchar'
      length: 15
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'CustomerID'
    sourceDataType:
      name: 'int'
      scale: 0
      precision: 10
      isNullable: false
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'SalesPersonID'
    sourceDataType:
      name: 'int'
      scale: 0
      precision: 10
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'TerritoryID'
    sourceDataType:
      name: 'int'
      scale: 0
      precision: 10
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'BillToAddressID'
    sourceDataType:
      name: 'int'
      scale: 0
      precision: 10
      isNullable: false
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'ShipToAddressID'
    sourceDataType:
      name: 'int'
      scale: 0
      precision: 10
      isNullable: false
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'ShipMethodID'
    sourceDataType:
      name: 'int'
      scale: 0
      precision: 10
      isNullable: false
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'CreditCardID'
    sourceDataType:
      name: 'int'
      scale: 0
      precision: 10
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'CreditCardApprovalCode'
    sourceDataType:
      name: 'varchar'
      length: 15
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'CurrencyRateID'
    sourceDataType:
      name: 'int'
      scale: 0
      precision: 10
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'SubTotal'
    sourceDataType:
      name: 'money'
      scale: 4
      precision: 19
      isNullable: false
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'TaxAmt'
    sourceDataType:
      name: 'money'
      scale: 4
      precision: 19
      isNullable: false
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'Freight'
    sourceDataType:
      name: 'money'
      scale: 4
      precision: 19
      isNullable: false
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'TotalDue'
    sourceDataType:
      name: 'money'
      scale: 4
      precision: 19
      isNullable: false
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'Comment'
    sourceDataType:
      name: 'nvarchar'
      length: 128
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'rowguid'
    sourceDataType:
      name: 'uniqueidentifier'
      isNullable: false
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'ModifiedDate'
    sourceDataType:
      name: 'datetime'
      isNullable: false
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
- name: 'SalesOrderHeaderSalesReason'
  objectType: {}
  terms:
  - name: 'SalesOrderID'
    sourceDataType:
      name: 'int'
      scale: 0
      precision: 10
      isNullable: false
    isIdentity: false
    isBusinessKey: true
    isForeignKey: false
    isDefaultTerm: false
  - name: 'SalesReasonID'
    sourceDataType:
      name: 'int'
      scale: 0
      precision: 10
      isNullable: false
    isIdentity: false
    isBusinessKey: true
    isForeignKey: false
    isDefaultTerm: false
  - name: 'ModifiedDate'
    sourceDataType:
      name: 'datetime'
      isNullable: false
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
- name: 'SalesPerson'
  objectType: {}
  terms:
  - name: 'BusinessEntityID'
    sourceDataType:
      name: 'int'
      scale: 0
      precision: 10
      isNullable: false
    isIdentity: false
    isBusinessKey: true
    isForeignKey: false
    isDefaultTerm: false
  - name: 'TerritoryID'
    sourceDataType:
      name: 'int'
      scale: 0
      precision: 10
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'SalesQuota'
    sourceDataType:
      name: 'money'
      scale: 4
      precision: 19
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'Bonus'
    sourceDataType:
      name: 'money'
      scale: 4
      precision: 19
      isNullable: false
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'CommissionPct'
    sourceDataType:
      name: 'smallmoney'
      scale: 4
      precision: 10
      isNullable: false
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'SalesYTD'
    sourceDataType:
      name: 'money'
      scale: 4
      precision: 19
      isNullable: false
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'SalesLastYear'
    sourceDataType:
      name: 'money'
      scale: 4
      precision: 19
      isNullable: false
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'rowguid'
    sourceDataType:
      name: 'uniqueidentifier'
      isNullable: false
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'ModifiedDate'
    sourceDataType:
      name: 'datetime'
      isNullable: false
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
- name: 'SalesPersonQuotaHistory'
  objectType: {}
  terms:
  - name: 'BusinessEntityID'
    sourceDataType:
      name: 'int'
      scale: 0
      precision: 10
      isNullable: false
    isIdentity: false
    isBusinessKey: true
    isForeignKey: false
    isDefaultTerm: false
  - name: 'QuotaDate'
    sourceDataType:
      name: 'datetime'
      isNullable: false
    isIdentity: false
    isBusinessKey: true
    isForeignKey: false
    isDefaultTerm: false
  - name: 'SalesQuota'
    sourceDataType:
      name: 'money'
      scale: 4
      precision: 19
      isNullable: false
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'rowguid'
    sourceDataType:
      name: 'uniqueidentifier'
      isNullable: false
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'ModifiedDate'
    sourceDataType:
      name: 'datetime'
      isNullable: false
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
- name: 'SalesReason'
  objectType: {}
  terms:
  - name: 'SalesReasonID'
    sourceDataType:
      name: 'int'
      scale: 0
      precision: 10
      isNullable: false
    isIdentity: false
    isBusinessKey: true
    isForeignKey: false
    isDefaultTerm: false
  - name: 'Name'
    sourceDataType:
      name: 'nvarchar'
      length: 50
      isNullable: false
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'ReasonType'
    sourceDataType:
      name: 'nvarchar'
      length: 50
      isNullable: false
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'ModifiedDate'
    sourceDataType:
      name: 'datetime'
      isNullable: false
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
- name: 'SalesTaxRate'
  objectType: {}
  terms:
  - name: 'SalesTaxRateID'
    sourceDataType:
      name: 'int'
      scale: 0
      precision: 10
      isNullable: false
    isIdentity: false
    isBusinessKey: true
    isForeignKey: false
    isDefaultTerm: false
  - name: 'StateProvinceID'
    sourceDataType:
      name: 'int'
      scale: 0
      precision: 10
      isNullable: false
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'TaxType'
    sourceDataType:
      name: 'tinyint'
      scale: 0
      precision: 3
      isNullable: false
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'TaxRate'
    sourceDataType:
      name: 'smallmoney'
      scale: 4
      precision: 10
      isNullable: false
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'Name'
    sourceDataType:
      name: 'nvarchar'
      length: 50
      isNullable: false
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'rowguid'
    sourceDataType:
      name: 'uniqueidentifier'
      isNullable: false
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'ModifiedDate'
    sourceDataType:
      name: 'datetime'
      isNullable: false
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
- name: 'SalesTerritory'
  objectType: {}
  terms:
  - name: 'TerritoryID'
    sourceDataType:
      name: 'int'
      scale: 0
      precision: 10
      isNullable: false
    isIdentity: false
    isBusinessKey: true
    isForeignKey: false
    isDefaultTerm: false
  - name: 'Name'
    sourceDataType:
      name: 'nvarchar'
      length: 50
      isNullable: false
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'CountryRegionCode'
    sourceDataType:
      name: 'nvarchar'
      length: 3
      isNullable: false
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'Group'
    sourceDataType:
      name: 'nvarchar'
      length: 50
      isNullable: false
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'SalesYTD'
    sourceDataType:
      name: 'money'
      scale: 4
      precision: 19
      isNullable: false
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'SalesLastYear'
    sourceDataType:
      name: 'money'
      scale: 4
      precision: 19
      isNullable: false
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'CostYTD'
    sourceDataType:
      name: 'money'
      scale: 4
      precision: 19
      isNullable: false
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'CostLastYear'
    sourceDataType:
      name: 'money'
      scale: 4
      precision: 19
      isNullable: false
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'rowguid'
    sourceDataType:
      name: 'uniqueidentifier'
      isNullable: false
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'ModifiedDate'
    sourceDataType:
      name: 'datetime'
      isNullable: false
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
- name: 'SalesTerritoryHistory'
  objectType: {}
  terms:
  - name: 'BusinessEntityID'
    sourceDataType:
      name: 'int'
      scale: 0
      precision: 10
      isNullable: false
    isIdentity: false
    isBusinessKey: true
    isForeignKey: false
    isDefaultTerm: false
  - name: 'TerritoryID'
    sourceDataType:
      name: 'int'
      scale: 0
      precision: 10
      isNullable: false
    isIdentity: false
    isBusinessKey: true
    isForeignKey: false
    isDefaultTerm: false
  - name: 'StartDate'
    sourceDataType:
      name: 'datetime'
      isNullable: false
    isIdentity: false
    isBusinessKey: true
    isForeignKey: false
    isDefaultTerm: false
  - name: 'EndDate'
    sourceDataType:
      name: 'datetime'
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'rowguid'
    sourceDataType:
      name: 'uniqueidentifier'
      isNullable: false
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'ModifiedDate'
    sourceDataType:
      name: 'datetime'
      isNullable: false
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
- name: 'ShoppingCartItem'
  objectType: {}
  terms:
  - name: 'ShoppingCartItemID'
    sourceDataType:
      name: 'int'
      scale: 0
      precision: 10
      isNullable: false
    isIdentity: false
    isBusinessKey: true
    isForeignKey: false
    isDefaultTerm: false
  - name: 'ShoppingCartID'
    sourceDataType:
      name: 'nvarchar'
      length: 50
      isNullable: false
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'Quantity'
    sourceDataType:
      name: 'int'
      scale: 0
      precision: 10
      isNullable: false
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'ProductID'
    sourceDataType:
      name: 'int'
      scale: 0
      precision: 10
      isNullable: false
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'DateCreated'
    sourceDataType:
      name: 'datetime'
      isNullable: false
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'ModifiedDate'
    sourceDataType:
      name: 'datetime'
      isNullable: false
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
- name: 'SpecialOffer'
  objectType: {}
  terms:
  - name: 'SpecialOfferID'
    sourceDataType:
      name: 'int'
      scale: 0
      precision: 10
      isNullable: false
    isIdentity: false
    isBusinessKey: true
    isForeignKey: false
    isDefaultTerm: false
  - name: 'Description'
    sourceDataType:
      name: 'nvarchar'
      length: 255
      isNullable: false
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'DiscountPct'
    sourceDataType:
      name: 'smallmoney'
      scale: 4
      precision: 10
      isNullable: false
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'Type'
    sourceDataType:
      name: 'nvarchar'
      length: 50
      isNullable: false
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'Category'
    sourceDataType:
      name: 'nvarchar'
      length: 50
      isNullable: false
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'StartDate'
    sourceDataType:
      name: 'datetime'
      isNullable: false
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'EndDate'
    sourceDataType:
      name: 'datetime'
      isNullable: false
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'MinQty'
    sourceDataType:
      name: 'int'
      scale: 0
      precision: 10
      isNullable: false
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'MaxQty'
    sourceDataType:
      name: 'int'
      scale: 0
      precision: 10
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'rowguid'
    sourceDataType:
      name: 'uniqueidentifier'
      isNullable: false
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'ModifiedDate'
    sourceDataType:
      name: 'datetime'
      isNullable: false
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
- name: 'SpecialOfferProduct'
  objectType: {}
  terms:
  - name: 'SpecialOfferID'
    sourceDataType:
      name: 'int'
      scale: 0
      precision: 10
      isNullable: false
    isIdentity: false
    isBusinessKey: true
    isForeignKey: false
    isDefaultTerm: false
  - name: 'ProductID'
    sourceDataType:
      name: 'int'
      scale: 0
      precision: 10
      isNullable: false
    isIdentity: false
    isBusinessKey: true
    isForeignKey: false
    isDefaultTerm: false
  - name: 'rowguid'
    sourceDataType:
      name: 'uniqueidentifier'
      isNullable: false
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'ModifiedDate'
    sourceDataType:
      name: 'datetime'
      isNullable: false
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
- name: 'Store'
  objectType: {}
  terms:
  - name: 'BusinessEntityID'
    sourceDataType:
      name: 'int'
      scale: 0
      precision: 10
      isNullable: false
    isIdentity: false
    isBusinessKey: true
    isForeignKey: false
    isDefaultTerm: false
  - name: 'Name'
    sourceDataType:
      name: 'nvarchar'
      length: 50
      isNullable: false
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'SalesPersonID'
    sourceDataType:
      name: 'int'
      scale: 0
      precision: 10
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'Demographics'
    sourceDataType:
      name: 'xml'
      length: -1
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'rowguid'
    sourceDataType:
      name: 'uniqueidentifier'
      isNullable: false
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'ModifiedDate'
    sourceDataType:
      name: 'datetime'
      isNullable: false
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
- name: 'vStoreWithAddresses'
  objectType: {}
  terms:
  - name: 'BusinessEntityID'
    sourceDataType:
      name: 'int'
      scale: 0
      precision: 10
      isNullable: false
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'Name'
    sourceDataType:
      name: 'nvarchar'
      length: 50
      isNullable: false
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'AddressType'
    sourceDataType:
      name: 'nvarchar'
      length: 50
      isNullable: false
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'AddressLine1'
    sourceDataType:
      name: 'nvarchar'
      length: 60
      isNullable: false
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'AddressLine2'
    sourceDataType:
      name: 'nvarchar'
      length: 60
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'City'
    sourceDataType:
      name: 'nvarchar'
      length: 30
      isNullable: false
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'StateProvinceName'
    sourceDataType:
      name: 'nvarchar'
      length: 50
      isNullable: false
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'PostalCode'
    sourceDataType:
      name: 'nvarchar'
      length: 15
      isNullable: false
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'CountryRegionName'
    sourceDataType:
      name: 'nvarchar'
      length: 50
      isNullable: false
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
